<template>
  <section class="abstractPage">
    <header class="abstractPage-header">
      <div class="abstractPage-search">
        <slot name="abstractPage-search"/>
      </div>
      <div class="abstractPage-breadcrumbs">
        <AppBreadcrumbs :breadcrumbs="breadcrumbs"/>
      </div>
      <div class="abstractPage-title">
        <slot name="heading"/>
      </div>
    </header>

    <div class="abstractPage-additionalPart">
      <slot name="additional"/>
    </div>

    <div class="abstractPage-content">
      <slot name="content"/>
    </div>
  </section>
</template>

<script>
import AppBreadcrumbs from '~/components/redesign/app-breadcrumbs';

export default {
  name: 'AppAbstractPage',
  components: {
    AppBreadcrumbs,
  },
  props: {
    breadcrumbs: {
      type: Array,
      default() { return []; },
    },
  },
};
</script>

<style scoped lang="postcss">
  .abstractPage {
    display: flex;
    flex-direction: column;
    min-width: 320px;
    max-width: 1366px;
    margin: 0 auto;
    background-color: var(--bg-main);
    padding: 0 3.25rem;

    .pageBg {
      position: absolute;
      top: 0;
      left: 0;
      width: 100%;
    }

    &-search {
      display: flex;
      justify-content: center;
    }

    &-breadcrumbs {
      padding-top: 1rem;
      padding-bottom: 1rem;
    }

    &-header {
      padding-bottom: 0.5rem;
    }

    @media (min-width: 981px) and (max-width: 1200px) {
      padding: 0 2.75rem;
    }

    @media only screen and (max-width: 980px) {
      padding: 0;

      &-header {
        padding: 0 1.25rem 1.25rem 1.25rem;
      }

      &-search {
        padding-top: 0;
        padding-bottom: 0.25rem;
      }
    }
  }

</style>
